OpenNMS API 1.2.9

## org.opennms.netmgt.scheduler
Class Schedule

    java.lang.Object
      org.opennms.netmgt.scheduler.Schedule

public class Schedule
extends java.lang.Object

Represents a Schedule

Author:
  brozow

Nested Class Summary
`(package private) class` `Schedule.ScheduleEntry`

Field Summary
`private int` `m_currentExpirationCode`
`private long` `m_currentInterval`
`private ScheduleInterval` `m_interval`
`private ReadyRunnable` `m_schedulable`
`private boolean` `m_scheduled`
`private ScheduleTimer` `m_timer`
`static java.util.Random` `random`

Constructor Summary
`Schedule(ReadyRunnable schedulable, ScheduleInterval interval, ScheduleTimer timer)`

Method Summary
`void` `adjustSchedule()`
`void` `run()`
`void` `schedule()`
`private void` `schedule(long interval)`
`void` `unschedule()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### random

    public static final java.util.Random random

### m_schedulable

    private ReadyRunnable m_schedulable

### m_interval

    private ScheduleInterval m_interval

### m_timer

    private ScheduleTimer m_timer

### m_currentExpirationCode

    private int m_currentExpirationCode

### m_currentInterval

    private long m_currentInterval

### m_scheduled

    private boolean m_scheduled

Constructor Detail

### Schedule

    public Schedule(ReadyRunnable schedulable,
                    ScheduleInterval interval,
                    ScheduleTimer timer)

Parameters:
  `interval` -
  `timer` -

Method Detail

### schedule

    public void schedule()

### schedule

    private void schedule(long interval)

### run

    public void run()

### adjustSchedule

    public void adjustSchedule()

### unschedule

    public void unschedule()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.